###########################
#                         #
# TOTALITY by Cold Fusion #
#                         #
# spawnpoints.mcfunction  #
#                         #
# Automatically set       #
# spawnpoints as players  #
# explore                 #
#                         #
###########################

# Beginning
spawnpoint @a[x=8,y=80,z=128,dx=0,dy=1,dz=0] 8 80 128
execute if block 8 80 128 glass run setblock 8 80 128 air
execute if block 8 81 128 glass run setblock 8 81 128 air

# In front of Sol Corp
spawnpoint @a[x=67,y=69,z=48,dx=4,dy=4,dz=8] 67 69 52
execute if block 67 69 52 glass run setblock 67 69 52 air
execute if block 67 70 52 glass run setblock 67 70 52 air

# First rocket lab checkpoint
execute if entity @a[x=76,y=48,z=100,dx=4,dy=4,dz=4] run scoreboard players set @e[type=armor_stand,name="Boss"] YELLOW_PROG 1
spawnpoint @a[x=76,y=48,z=100,dx=4,dy=4,dz=4] 78 50 107
execute if block 78 50 107 glass run setblock 78 50 107 air
execute if block 78 51 107 glass run setblock 78 51 107 air

# Second rocket lab checkpoint
spawnpoint @a[x=36,y=51,z=24,dx=17,dy=4,dz=4] 42 53 26
execute if block 42 53 26 glass run setblock 42 53 26 air
execute if block 42 54 26 glass run setblock 42 54 26 air

# Yellow wool box
spawnpoint @a[x=6,y=61,z=6,dx=4,dy=4,dz=4] 9 62 8
execute if block 9 62 8 glass run setblock 9 62 8 air
execute if block 9 63 8 glass run setblock 9 63 8 air

# In front of the library
spawnpoint @a[x=-40,y=66,z=87,dx=2,dy=2,dz=2] -39 66 88
execute if block -39 66 88 glass run setblock -39 66 88 air
execute if block -39 67 88 glass run setblock -39 67 88 air

# Start of the catacombs
execute if entity @a[x=-83,y=50,z=69,dx=8,dy=6,dz=12] run scoreboard players set @e[type=armor_stand,name="Boss"] MAGENTA_PROG 1
spawnpoint @a[x=-83,y=50,z=69,dx=8,dy=6,dz=12] -78 53 81
execute if block -78 53 81 glass run setblock -78 53 81 air
execute if block -78 54 81 glass run setblock -78 54 81 air

# In the middle of the catacombs
spawnpoint @a[x=-117,y=48,z=25,dx=8,dy=8,dz=12] -112 53 23
execute if block -112 53 23 glass run setblock -112 53 23 air
execute if block -112 54 23 glass run setblock -112 54 23 air

# Before the cathedral
spawnpoint @a[x=-94,y=55,z=43,dx=10,dy=6,dz=18] -91 59 52
execute if block -91 59 52 glass run setblock -91 59 52 air
execute if block -91 60 52 glass run setblock -91 60 52 air

# The bell tower
spawnpoint @a[x=-86,y=111,z=50,dx=4,dy=4,dz=4] -83 112 52
execute if block -83 112 52 glass run setblock -83 112 52 air
execute if block -83 113 52 glass run setblock -83 113 52 air

# The mountain
spawnpoint @a[x=-175,y=14,z=49,dx=4,dy=4,dz=6] -172 7 52
execute if block -172 7 52 glass run setblock -172 7 52 air
execute if block -172 8 52 glass run setblock -172 8 52 air

# Magenta wool box (in simulation)
spawnpoint @a[x=-235,y=41,z=50,dx=4,dy=4,dz=4] -232 42 52
execute if block -232 42 52 glass run setblock -232 42 52 air
execute if block -232 43 52 glass run setblock -232 43 52 air

# Fungi films train entrance
spawnpoint @a[x=-24,y=76,z=-44,dx=4,dy=4,dz=10] -23 76 -42
execute if block -23 76 -42 glass run setblock -23 76 -42 air
execute if block -23 77 -42 glass run setblock -23 77 -42 air

# Fungi films stairs entrance
spawnpoint @a[x=-64,y=81,z=4,dx=6,dy=4,dz=8] -61 81 5
execute if block -61 81 5 glass run setblock -61 81 5 air
execute if block -61 82 5 glass run setblock -61 82 5 air

# Western town set
execute if entity @a[x=-65,y=39,z=-5,dx=8,dy=6,dz=8] run scoreboard players set @e[type=armor_stand,name="Boss"] ORANGE_PROG 1
spawnpoint @a[x=-65,y=39,z=-5,dx=8,dy=6,dz=8] -67 41 -1
execute if block -67 41 -1 glass run setblock -67 41 -1 air
execute if block -67 42 -1 glass run setblock -67 42 -1 air

# Underground city 1
spawnpoint @a[x=-34,y=20,z=3,dx=8,dy=4,dz=8] -26 23 1
execute if block -26 23 1 glass run setblock -26 23 1 air
execute if block -26 24 1 glass run setblock -26 24 1 air

# Underground city 2
spawnpoint @a[x=-44,y=19,z=73,dx=4,dy=4,dz=4] -46 19 77
execute if block -46 19 77 glass run setblock -46 19 77 air
execute if block -46 20 77 glass run setblock -46 20 77 air

# Underground city 3
spawnpoint @a[x=45,y=29,z=68,dx=4,dy=4,dz=4] 52 29 71
execute if block 52 29 71 glass run setblock 52 29 71 air
execute if block 52 30 71 glass run setblock 52 30 71 air

# Underground city 4
spawnpoint @a[x=6,y=63,z=128,dx=2,dy=2,dz=2] 8 63 132
execute if block 8 63 132 glass run setblock 8 63 132 air
execute if block 8 64 132 glass run setblock 8 64 132 air

# Orange wool box
spawnpoint @a[x=6,y=34,z=119,dx=4,dy=4,dz=4] 8 35 122
execute if block 8 35 122 glass run setblock 8 35 122 air
execute if block 8 36 122 glass run setblock 8 36 122 air

# In front of the arboretum
spawnpoint @a[x=102,y=81,z=-42,dx=30,dy=16,dz=30] 117 81 -13
execute if block 117 81 -13 glass run setblock 117 81 -13 air
execute if block 117 82 -13 glass run setblock 117 82 -13 air

# Lava fall spider caves
execute if entity @a[x=81,y=43,z=-20,dx=8,dy=4,dz=4] run scoreboard players set @e[type=armor_stand,name="Boss"] LIME_PROG 1
spawnpoint @a[x=81,y=43,z=-20,dx=8,dy=4,dz=4] 78 43 -19
execute if block 78 43 -19 glass run setblock 78 43 -19 air
execute if block 78 44 -19 glass run setblock 78 44 -19 air

# Giant spider cave
spawnpoint @a[x=106,y=15,z=-57,dx=12,dy=20,dz=32] 118 19 -39
execute if block 118 19 -39 glass run setblock 118 19 -39 air
execute if block 118 20 -39 glass run setblock 118 20 -39 air

# War factory entrance
spawnpoint @a[x=6,y=24,z=-54,dx=4,dy=4,dz=4] 4 26 -52
execute if block 4 26 -52 glass run setblock 4 26 -52 air
execute if block 4 27 -52 glass run setblock 4 27 -52 air

# War factory hive room
spawnpoint @a[x=-16,y=9,z=-91,dx=4,dy=4,dz=4] -18 11 -84
execute if block -18 11 -84 glass run setblock -18 11 -84 air
execute if block -18 12 -84 glass run setblock -18 12 -84 air

# War factory gears room
spawnpoint @a[x=28,y=9,z=-91,dx=4,dy=4,dz=4] 34 11 -84
execute if block 34 11 -84 glass run setblock 34 11 -84 air
execute if block 34 12 -84 glass run setblock 34 12 -84 air

# Lime wool box
spawnpoint @a[x=87,y=13,z=-91,dx=4,dy=4,dz=4] 90 14 -89
execute if block 90 14 -89 glass run setblock 90 14 -89 air
execute if block 90 15 -89 glass run setblock 90 15 -89 air

# Backstory 1 spawnpoint
execute if block -2 39 -19 glass run setblock -2 39 -19 air
execute if block -2 40 -19 glass run setblock -2 40 -19 air

# Backstory 2 spawnpoint
execute if block 17 39 -19 glass run setblock 17 39 -19 air
execute if block 17 40 -19 glass run setblock 17 40 -19 air

# Backstory 3 spawnpoint
execute if block 8 8 -137 glass run setblock 8 8 -137 air
execute if block 8 9 -137 glass run setblock 8 9 -137 air

# Boss battle spawnpoint
execute if block 8 84 35 glass run setblock 8 84 35 air
execute if block 8 85 35 glass run setblock 8 85 35 air